const API_INTERNAL_URI = require("../config.js").API_INTERNAL_URI;
const req = require("../utils/request").httpReq;

// 获取企业信息列表
exports.auditList = async ctx => {
  const url = `${API_INTERNAL_URI}/merchant/inner/audit_list`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};

// 企业认证获取验证码
exports.sendCode = async ctx => {
  const url = `${API_INTERNAL_URI}/merchant/lifeinner/send_code`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};

// 企业认证校验验证码
exports.checkCode = async ctx => {
  const url = `${API_INTERNAL_URI}/merchant/lifeinner/check_code`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};

// 审核列表详情页回显信息列表
exports.getRecordInfo = async ctx => {
  const url = `${API_INTERNAL_URI}/merchant/inner/get_record_info`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};

// 历史提交审核日志详情页
exports.getLog = async ctx => {
  const url = `${API_INTERNAL_URI}/merchant/inner/get_log`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};

// 企业信息提交
exports.entCommit = async ctx => {
  const url = `${API_INTERNAL_URI}/merchant/inner/ent_commit`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};
